Devuan bug report logs - #633
qemu-guest-agent: Guest agent does not shut down the guest when requested to

version graph

Package: sysvinit; Maintainer for sysvinit is Devuan Developers <devuan-dev@lists.dyne.org>; Source for sysvinit is src:sysvinit.

Reported by: Fabio Muzzi <debianbugs@kurgan.org>

Date: Sat, 20 Nov 2021 19:12:01 UTC

Severity: grave

Tags: chimaera

Found in version 2.96-7+devuan1

Fixed in versions 3.00-1+devuan1, 2.96-7+devuan2

Done: dak@devuan.org

Full log


Message #25 received at 633@bugs.devuan.org (full text, mbox, reply):

Received: (at 633) by bugs.devuan.org; 21 Nov 2021 12:40:03 +0000
Return-Path: <mark@hindley.org.uk>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Sun, 21 Nov 2021 12:40:03 +0000 (UTC)
Received: from mx.hindley.org.uk (193-36-131-86.cfwn.uk [193.36.131.86])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 63A0EF609EF
	for <633@bugs.devuan.org>; Sun, 21 Nov 2021 13:32:54 +0100 (CET)
Received: from apollo.hindleynet ([192.168.1.3] helo=hindley.org.uk)
	by mx.hindley.org.uk with smtp (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1mom1c-0004Cp-2N; Sun, 21 Nov 2021 12:32:52 +0000
Received: (nullmailer pid 23370 invoked by uid 1000);
	Sun, 21 Nov 2021 12:32:51 -0000
Date: Sun, 21 Nov 2021 12:32:51 +0000
From: Mark Hindley <mark@hindley.org.uk>
To: Fabio Muzzi <debianbugs@kurgan.org>, 633@bugs.devuan.org
Subject: Re: bug#633: Actually sysvinit /sbin/shutdown's fault
Message-ID: <YZo8c1TA7GFbEBh0@hindley.org.uk>
References: <163743517558.1458.16031504645366650167.reportbug@fileserver.geldue.locale>
 <2089ef48-eb48-7c39-d4d1-2c400d502fbc@kurgan.org>
 <YZoRHU7g0fPD0KHY@hindley.org.uk>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <YZoRHU7g0fPD0KHY@hindley.org.uk>
X-Debbugs-No-Ack: No Thanks
X-Spam-Status: No, score=0.4 required=5.0 tests=RDNS_DYNAMIC,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org
Control: reassign -1 src:sysvinit
Control: found -1 2.96-7+devuan1
Control: notfount -1 3.00-1+devuan1
Control: tags -1 =chimaera

Fabio,

On Sun, Nov 21, 2021 at 09:27:58AM +0000, Mark Hindley wrote:
> > "-h -P +0 hypervisor initiated shutdown"

As rrq just pointed out on #devuan-infra, this is actually a bug in sysvinit
/sbin/shutdown not parsing the +0 argument.

This was fixed upstream in version 2.98:

sysvinit (2.98) released; urgency=low

    * Fixed time parsing in shutdown when there is a + in front of a 0 time offset.
      Commands with a positive time offset (+1) would work but +0 fails.
      This has been corrected by Arkadiusz Miskiewicz.

Reassigning and setting versions.

I will investigate backporting to chimaera.

Thanks.

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Apr 17 14:31:28 2024;